<config>
{
    "navigationBarTitleText": "提交成功"
}
</config>
<template>
    <div class="pay">
        <div class="pay1">
            <div v-if="status !== 'DENY'">
                <!-- <img
                    class="pay-img"
                    :src="
                        `${
                            status === 'SUCCESS'
                                ? '../native/shenqing_yitongguo@3x.png'
                                : '../native/shenqing_shenhezhong@3x.png'
                        }`
                    "
                    alt=""
                /> -->
                <img v-if="status === 'SUCCESS'" class="pay-img" src="../native/shenqing_yitongguo@3x.png" alt="" />
                <img v-if="status === 'APPLY'" class="pay-img" src="../native/shenqing_shenhezhong@3x.png" alt="" />
            </div>
            <img v-if="status === 'DENY'" class="pay-img" src="../native/shenqing_weitongguo@3x.png" alt="" />
            <div class="name">{{ title }}</div>
            <div class="name1">{{ explain }}</div>
        </div>
        <div
            v-if="status === 'DENY'"
            class="btn botm"
            @click="navigateTo('/pages/walletdetails?type=' + `${types === 'ROOM' ? 'ROOM' : 'PERSON'}`)"
        >
            重新申请
        </div>
        <div class="btn1" :class="{ prim: status === 'DENY' }" @click="jump">返回</div>
    </div>
</template>
<script>
export default {
    data() {
        return {};
    },
    computed: {
        status() {
            return this.$mp.query.status;
        },
        types() {
            return this.$mp.query.types;
        },
        title() {
            if (this.status === 'SUCCESS') {
                return '申请已通过';
            } else if (this.status === 'DENY') {
                return '提现申请未通过';
            } else {
                return '提交成功';
            }
        },
        explain() {
            if (this.status === 'SUCCESS') {
                return '您已申请的提现服务已通过审核，钱款将在72小时内提现到您的账户，请注意查收';
            } else if (this.status === 'DENY') {
                return '您已申请的提现服务未通过审核，请重新进行审核';
            } else {
                return '您已成功申请提现服务，待审核成功后钱款将在72小时内提现到您的账户，请注意查收';
            }
        }
    },
    mounted() {
        // console.log(this.types);
    },
    methods: {
        jump() {
            wx.navigateBack({
                delta: 1
            });
        }
    }
};
</script>
<style lang="less" scoped>
.pay {
    .pay1 {
        padding: 56px 33px 0;
        text-align: center;
        .pay-img {
            width: 103px;
            height: 78px;
        }
        .name {
            font-size: 20px;
            font-weight: bold;
            color: #000000;
            line-height: 20px;
            margin: 30px 0 20px;
        }
        .name1 {
            font-size: 14px;
            font-weight: 400;
            color: #000000;
            line-height: 20px;
            margin-bottom: 50px;
        }
    }
    .btn {
        width: 290px;
        height: 48px;
        background: #00ba64;
        border-radius: 24px;
        text-align: center;
        line-height: 48px;
        color: #fff;
        font-size: 16px;
        margin: 0 auto;
        &.botm {
            margin-bottom: 20px;
        }
    }
    .btn1 {
        width: 290px;
        height: 48px;
        background: #00ba64;
        border-radius: 24px;
        line-height: 48px;
        text-align: center;
        color: #fff;
        font-size: 16px;
        margin: 0 auto;
        &.prim {
            color: #000;
            background: #f2f4f5;
        }
    }
}
</style>
